package com.qmth.qrzk.repository.user.model;

import com.qmth.qrzk.repository.utils.Consts;


/**
 * 题库建设任务课程关联用户
 * @author 马涛
 *
 */
public class TkjsTaskUserLink {
	private Integer id;
	private Integer tkjsTaskId;//录题任务Id
	private Integer teacherId;
	
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public Integer getTkjsTaskId() {
		return tkjsTaskId;
	}
	public void setTkjsTaskId(Integer tkjsTaskId) {
		this.tkjsTaskId = tkjsTaskId;
	}
	public Integer getTeacherId() {
		return teacherId;
	}
	public User getTeacher() {
		return Consts.UserMap.get(teacherId);
	}
	public void setTeacherId(Integer teacherId) {
		this.teacherId = teacherId;
	}
	public String getTeacherGuid() {
		return getTeacher().getGuid();
	}
}
